package com.ycwl.basic.mapper;

import com.ycwl.basic.model.pc.refund.entity.RefundEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface RefundMapper {
    Long addGetId(RefundEntity entity);
    RefundEntity findByOutRefundNo(String outRefundNo);
    int update(RefundEntity entity);
    int setRefundNo(@Param("id") Long id, @Param("outRefundNo") String outRefundNo);
    int setRefunded(Long id);
}
